pfSense Packages - Bug #6987

ntopng needs Google API key for GeolP map
12/05/2016 10:42 PM - Stuart Wyatt

Status: Closed Start date: 12/05/2016
Priority: Normal Due date:
Assignee: % Done: 0%
Category: ntop Estimated time: 0.00 hour
Target version:
Plus Target Version: Affected Plus

Version:
Affected Version: Affected All

Architecture:

Description

ntopng needs to be updated to a version that supports use of a Google API key and the ntopng settings page needs a field to enter
the API key.

See this issue about adding support for the API key https://github.com/ntop/ntopng/issues/646

The current version fails when you try to look at the GeolP map with a Google API failure.

History

#1 - 12/09/2016 03:51 PM - Kill Bill
- File ntopng.diff added

Please, test the attached patch and report back. (Would like to submit a PR on GitHub, however the only thing that GitHub produces for me ATM is a
nifty HTTP 500.)

#2 - 12/09/2016 05:18 PM - Kill Bill
- File 98¢c38351acf58f2ea9987cd42e267e2e80168f99.patch.txt added

Well... this additionally need a patch to the ntopng port itself (basically the one from
https://github.com/ntop/ntopng/commit/98c38351acf58f2ea9987cd42e267e2e80168f99.patch but the last hunk needs to be modified). Apparently this
was never released. A working patch attached, however | frankly think you should take this to https:/bugs.freebsd.org/bugzilla/ as this is not a
business for pfSense.

#3 - 12/09/2016 05:21 PM - Kill Bill

Result after patching:
ntopng_geomap.png

#4 - 01/03/2017 03:46 AM - Kill Bill

Apparently no patching required with ntopng-2.4.2016.10.14 - you can configure the API key in Preferences - Users - Google APIs Browser Key. Can
be closed.

#5 - 01/03/2017 05:28 AM - Renato Botelho

- Status changed from New to Closed

#6 - 01/03/2017 08:16 AM - Stuart Wyatt

The bug referenced the need for ntopng version 2.4 to resolve the problem, so why is it being closed when version 2.2 is still being used?
Shouldn't it be resolved when the package is updated to use version 2.4 and the key can be entered in the WebUI?

#7 - 01/03/2017 08:29 AM - Jim Pingle

ntopng 2.4 is available on pfSense 2.4, and it works there. If/when the package is updated on other branches it will work there, too.

Thus it's being closed. There is nothing for us to do related to this issue.
https://github.com/ntop/ntopng/issues/646
#8 - 01/03/2017 11:21 AM - Stuart Wyatt

Thanks, that's the information | was missing.

#9 - 01/03/2017 01:03 PM - Kill Bill

It is working on 2.3.3 snapshots as well.

Files

ntopng.diff 2.62 KB 12/09/2016 Kill Bill

98c38351acf58f2ea9987cd42e267e2e8016899.patch.ixt 5.19 KB 12/09/2016 Kill Bill
06/23/2025

22


http://www.tcpdf.org

